baseURL = 'https://blog.thanwer.com/'
locale = 'en-US'
theme = "anubis2"
title =  "Thanwer's Blog"
enableRobotsTXT = true
enableGitInfo = true
defaultContentLanguage = 'en'

[pagination]
pagerSize = 5

[taxonomies]
tag = "tags"

[languages]
  [languages.en]
    label = 'EN'
    weight = 1

    [[languages.en.menu.main]]
    identifier = "home"
    name = "Home"
    url = "/"
    weight = 1

    [[languages.en.menu.main]]
    identifier = "tags"
    name = "Tags"
    url = "/tags/"
    weight = 2

    [[languages.en.menu.main]]
    identifier = "archive"
    name = "Archive"
    url = "/posts/"
    weight = 3

    [[languages.en.menu.main]]
    identifier = "about"
    name = "About"
    url = "/about/"
    weight = 4

  [languages.pt]
    label = 'BR'
    locale = 'pt-BR'
    weight = 2

    [[languages.pt.menu.main]]
    identifier = "home"
    name = "Início"
    url = "/"
    weight = 1

    [[languages.pt.menu.main]]
    identifier = "tags"
    name = "Tags"
    url = "/tags/"
    weight = 2

    [[languages.pt.menu.main]]
    identifier = "archive"
    name = "Arquivo"
    url = "/posts/"
    weight = 3

    [[languages.pt.menu.main]]
    identifier = "about"
    name = "Sobre"
    url = "/about/"
    weight = 4

[params]
author.name = "Pietro Arancibia"
author.email  = "admin@thanwer.com"
author.location = "Germany"
description = "A blog written by Pietro Arancibia \"Thanwer\""
dateFormat = "2006-01-02"

[params.anubis2]
colorTheme = "auto"
enableColorThemeSwitcher = true
readNextPosts = 3
socialIcons = [
  { id = "github", url = "https://github.com/thanwer" },
  { id = "linkedin", url = "https://www.linkedin.com/in/thanwer/" },
  { id = "email", url = "mailto:admin@thanwer.com" },
  { id = "facebook", url = "https://facebook.com/thanwer" },
  { id = "instagram", url = "https://www.instagram.com/thanwer/" },
  { id = "telegram", url = "https://t.me/thanwer" },
  { id = "x", url = "https://x.com/thanwer" },
  { id = "youtube", url = "https://youtube.com/lordthanwer" },
]

[params.anubis2.services.umami]
id = "eded536d-a598-471a-945b-faaebc4837a9"
url = "https://umami.thanwer.com/script.js"

[markup.goldmark.renderer]
unsafe = true

[markup.highlight]
style = 'base16-snazzy'
